Bug 626975 - Blinking keyb leds in spice client causes capslock to turn on / off all the time in other windows
Blinking keyb leds in spice client causes capslock to turn on / off all the t...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
:
Depends On:
Blocks: 671383
  Show dependency treegraph
 
Reported: 2010-08-24 15:10 EDT by Hans de Goede
Modified: 2011-06-15 10:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: spice-client-0.7.2-1.el6
Doc Type: Bug Fix
Doc Text:
For content author, I think users did not see this bug, but it was discovered during development. The Problem: Upon (linux) guest panic, a spice-client connected to the VM caused client's keyboard leds to blink and capslock to turn on/off continuously, in non-spice-client windows too. The Fix: Blocking keyboard modifier events when spice-client windows is not in-focus. That means when the user focuses out of spice-client window (focus on a different window), blinks stop blinking and caps-lock does not turn on/off.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-08-24 15:10:14 EDT
Steps to Reproduce:
1. Run linux kernel in guest make it panic (no initrd cannot find root for example)
2. Connect spice client to the vm with the blinking keyb leds from the kernel panic
3. Switch to another window and try to type something, notice how every few ohter letters the letters change from caps to lowercase or vica versa.
Comment 2 Marc-Andre Lureau 2010-11-01 20:30:04 EDT
I have a trivial workaround for that bug, just blocking modifier events when focus_out(). It could be done differently.

http://gitorious.org/~elmarco/spice/elmarco-spice/commit/ae776586b96400070214d85ad073db49bb6925ef

I'll post it on the mailing list for review.

Additionally, should we restore keyboard modifiers when going out of focus? I think we should, given that Spice currently offers a full remote desktop client which feels like a separate machine. However, if the remote windows would be managed by the client, and the root window hidden, then this behavior would be bad.
Comment 4 Alon Levy 2011-01-17 11:43:02 EST
Marc's patch is now in upstream, commit:

 84c0156 client inputs: stop blinking keyboard when out of focus
Comment 5 Hans de Goede 2011-01-25 08:52:19 EST
A new spice-client-0.7.2-1.el6 fixing this has been build, moving to modified.
Comment 7 Lubos Kocman 2011-03-09 08:00:46 EST
Verified on spice-client-0.8.0-1.el6.x86_64.
Comment 8 Uri Lublin 2011-05-09 02:30:02 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For content author, I think users did not see this bug, but it was discovered during development.

The Problem:
Upon (linux) guest panic, a spice-client connected to the VM caused client's keyboard leds to blink and capslock to turn on/off continuously, in non-spice-client windows too.

The Fix:
Blocking keyboard modifier events when
spice-client windows is not in-focus.
That means when the user focuses out of spice-client window (focus on a different window), blinks stop blinking and caps-lock does not turn on/off.
Comment 9 errata-xmlrpc 2011-05-19 09:14:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0583.html

Note You need to log in before you can comment on or make changes to this bug.